﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Main.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<MvcApplication1.Models.Flower>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Index
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script src="/Scripts/MicrosoftAjax.js" type="text/javascript"></script>
    <script src="/Scripts/MicrosoftMvcAjax.js" type="text/javascript"></script>
    <script src="/Scripts/jquery-1.4.1.js" type="text/javascript"></script>
    <h2>
        Index</h2>
    <table>
        <tr>
            <th>
            </th>
            <th>
                Name
            </th>
            <th>
                Price
            </th>
            <th>
                Article
            </th>
        </tr>
        <% foreach (var item in Model)
           { %>
        <tr>
            <td>
                <%: Html.ActionLink("Details", "Details", new { id=item.FlowerId })%>
            </td>
            <td>
                <%: item.Name %>
            </td>
            <td>
                <%: String.Format("{0:F}", item.Price) %>
            </td>
            <td>
                <%: item.Article %>
            </td>
        </tr>
        <% } %>
    </table>
    <p>
        <%: Html.PagingNavigator((int)Html.ViewData["PageNum"], (int)Html.ViewData["ItemsCount"],
            (int)Html.ViewData["PageSize"], 5) %>
    </p>
    <div id="FlowersDiv">
        <% Html.RenderPartial("IndexPage", Model, Html.ViewData); %>
    </div>
    <p>
        <%: Html.ActionLink("Admin", "Index", "Admin") %>
    </p>
</asp:Content>
